dnspython requires Python '>=3.6' but the running Python is 3.5.2

Bug #1888225 reported by Aurelien Lourot on 2020-07-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Base Layer
High
Unassigned

Bug Description

dnspython 2.0.0 got published on 2020-07-17 and dropped support for python 3.5:

1. for reactive charms this makes the install hook fail on xenial with

2020-07-20 11:53:09 DEBUG install dnspython requires Python '>=3.6' but the running Python is 3.5.2
2020-07-20 11:53:10 DEBUG install Traceback (most recent call last):
2020-07-20 11:53:10 DEBUG install File "/var/lib/juju/agents/unit-neutron-api-plugin-arista-0/charm/hooks/install", line 8, in <module>
2020-07-20 11:53:10 DEBUG install basic.bootstrap_charm_deps()
2020-07-20 11:53:10 DEBUG install File "lib/charms/layer/basic.py", line 205, in bootstrap_charm_deps
2020-07-20 11:53:10 DEBUG install env=_get_subprocess_env())
2020-07-20 11:53:10 DEBUG install File "/usr/lib/python3.5/subprocess.py", line 581, in check_call
2020-07-20 11:53:10 DEBUG install raise CalledProcessError(retcode, cmd)
2020-07-20 11:53:10 DEBUG install subprocess.CalledProcessError: Command '['/var/lib/juju/agents/unit-neutron-api-plugin-arista-0/.venv/bin/pip', 'install', '-U', '--force-reinstall', '--no-index', '--no-cache-dir', '-f', 'wheelhouse', 'Jinja2', 'netaddr', 'charms.reactive', 'psutil', 'netifaces', 'PyYAML', 'dnspython', 'wheel', 'six', 'Tempita', 'MarkupSafe', 'pyaml', 'charms.openstack', 'charmhelpers', 'pbr']' returned non-zero exit status 1
2020-07-20 11:53:11 ERROR juju.worker.uniter.operation runhook.go:132 hook "install" failed: exit status 1

The solution will be to "pin" dnspython<2.0.0 in charm-layer-openstack/wheelhouse.txt . Also some charms have a special wheelhouse.txt where this should be pinned as well (e.g. charm-ovn-central).

2. for classic charms this means installing the test requirements for running unit tests on python 3.5 will fail. The solution will be to "pin" dnspython<2.0.0 in their respective requirements.txt

3. Possibly we need to do this pinning in zaza-openstack-tests, release-tools and charm-test-infra

Changed in layer-openstack:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Aurelien Lourot (aurelien-lourot)
Changed in layer-openstack:
status: In Progress → Fix Committed
assignee: Aurelien Lourot (aurelien-lourot) → nobody
James Page (james-page) on 2020-08-03
Changed in layer-openstack:
milestone: none → 20.08
Changed in layer-openstack:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers